#
# spec file for package qt4pas
#
# Copyright (c) 2012 Asterios Dramis <asterios.dramis@gmail.com>.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define min_qt_rel 4.5.3
%define so_ver 5

Name:           qt4pas
Version:        2.5
Release:        1.9
Summary:        Free Pascal Qt4 Bindings
License:        LGPL-3.0
Group:          System/Libraries
Url:            http://users.telenet.be/Jan.Van.hijfte/qtforfpc/fpcqt4.html
Source0:        http://users.telenet.be/Jan.Van.hijfte/qtforfpc/V%{version}/%{name}-V%{version}_Qt%{min_qt_rel}.tar.gz
BuildRequires:  libQtWebKit-devel
BuildRequires:  libqt4-devel >= %{min_qt_rel}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Free Pascal Qt4 bindings allows Free Pascal to interface with the C++
Library Qt.

This bindings does not cover the whole Qt4 framework but only the classes
needed by the Cross Platform Lazarus IDE to use Qt as a Widget set.

%package devel
Summary:        Development Files for qt4pas
Group:          Development/Libraries/C and C++
Requires:       libQt4Pas%{so_ver} = %{version}

%description devel
This package contain files needed for development with qt4pas.

%package -n libQt4Pas%{so_ver}
Summary:        Free Pascal Qt4 Bindings
Group:          System/Libraries

%description -n libQt4Pas%{so_ver}
The Free Pascal Qt4 bindings allows Free Pascal to interface with the C++
Library Qt.

This bindings does not cover the whole Qt4 framework but only the classes
needed by the Cross Platform Lazarus IDE to use Qt as a Widget set.

%prep
%setup -q -n %{name}-V%{version}_Qt%{min_qt_rel}

%build
qmake QMAKE_CFLAGS+="%{optflags}" QMAKE_CXXFLAGS+="%{optflags}" -config release Qt4Pas.pro

make %{?_smp_mflags}

%install
%make_install INSTALL_ROOT=%{buildroot}

install -Dpm 0644 qt4.pas %{buildroot}%{_datadir}/fpcsrc/packages/qt4/qt4.pas

%post -n libQt4Pas%{so_ver} -p /sbin/ldconfig

%postun -n libQt4Pas%{so_ver} -p /sbin/ldconfig

%files devel
%defattr(-,root,root,-)
%doc COPYING.TXT
%dir %{_datadir}/fpcsrc
%dir %{_datadir}/fpcsrc/packages
%dir %{_datadir}/fpcsrc/packages/qt4
%{_datadir}/fpcsrc/packages/qt4/qt4.pas
%{_libdir}/libQt4Pas.so

%files -n libQt4Pas%{so_ver}
%defattr(-,root,root,-)
%{_libdir}/libQt4Pas.so.%{so_ver}*

%changelog
* Sun Aug 12 2012 asterios.dramis@gmail.com
- Initial release (version 2.5).
